#
# Conditional build:
%bcond_with	tests	# unit tests

Summary:	Python 3 based FIDO 2.0 library
Summary(pl.UTF-8):	Biblioteka FIDO 2.0 dla Pythona 3
Name:		python3-fido2
Version:	1.1.0
Release:	1
# Yubico code is BSD licensed; includes also:
# pyudf (Apache 2.0)
# public suffix list (MPL 2.0)
License:	BSD, Apache v2.0, MPL v2.0
Group:		Libraries/Python
#Source0Download: https://github.com/Yubico/python-fido2/releases
Source0:	https://github.com/Yubico/python-fido2/releases/download/%{version}/fido2-%{version}.tar.gz
# Source0-md5:	ee9c06204d6eac131b4f7ca6360b0090
URL:		https://developers.yubico.com/python-fido2/
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRequires:	python3-modules >= 1:3.7
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-cryptography >= 1.0
BuildRequires:	python3-pyfakefs >= 2.4
BuildRequires:	python3-six
%endif
Requires:	python3-cryptography >= 1.0
Requires:	python3-modules >= 1:3.4
Requires:	python3-six
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides library functionality for communicating with a
FIDO device over USB as well as verifying attestation and assertion
signatures.

%description -l pl.UTF-8
Ten pakiet zawiera bibliotekę funkcji do komunikacji z urządzeniami
FIDO po USB, a także weryfikowania podpisów poświadczeń i zapewnień.

%prep
%setup -q -n fido2-%{version}

%build
%py3_build

%if %{with tests}
%{__python3} -m unittest discover -s test
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

install -d $RPM_BUILD_ROOT%{_examplesdir}/python3-fido2-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/python3-fido2-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING NEWS README.adoc
%{py3_sitescriptdir}/fido2
%{py3_sitescriptdir}/fido2-%{version}-py*.egg-info
%{_examplesdir}/python3-fido2-%{version}
%changelog
* Thu Nov 03 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-fido2.git;a=log;h=master

* Thu Nov 03 2022 Jan Palus <atler@pld-linux.org> 59cee59
- up to 1.1.0

* Thu Nov 03 2022 Jan Palus <atler@pld-linux.org> 51da35b
- rename python-fido2.spec -> python3-fido2.spec

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 4749fca
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 5a96f4b
- Release 4 (by relup.sh)

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 2a8b15e
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 4337d09
- rebuild with python 3.10

* Wed Mar 03 2021 Jan Palus <atler@pld-linux.org> 591dbe0
- up to 0.9.1

* Wed Mar 03 2021 Jan Palus <atler@pld-linux.org> fd3d11a
- rediff patches; rel 2

* Sat Nov 30 2019 Jan Palus <atler@pld-linux.org> 7c9a6a3
- up to 0.8.1

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 0bc8c74
- rebuild with python 3.8
- release 2 (by relup.sh)

* Sat Oct 26 2019 Jan Palus <atler@pld-linux.org> 6b154a8
- up to 0.7.3

* Fri Sep 20 2019 Jan Palus <atler@pld-linux.org> c54e501
- up to 0.7.1

* Mon Jun 24 2019 Jan Palus <atler@pld-linux.org> 20594f9
- up to 0.7.0

* Sun Mar 03 2019 Jan Palus <atler@pld-linux.org> 10273ef
- up to 0.5.0

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 4d394f8
- release 2 (by relup.sh)

* Sun May 20 2018 Jakub Bogusz <qboosh@pld-linux.org> 7fb2609
- new

